Bug 305793 - String concatenation operator || should work
Summary: String concatenation operator || should work
Status: CLOSED FIXED
Alias: None
Product: KEXI
Classification: Unclassified
Component: Queries (show other bugs)
Version: 2.5.0
Platform: unspecified All
: NOR normal (vote)
Target Milestone: 2.5
Assignee: Jarosław Staniek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-25 23:17 UTC by Jarosław Staniek
Modified: 2012-09-01 21:51 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.5.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jarosław Staniek 2012-08-25 23:17:51 UTC
String concatenation operator || should work since Kexi query was already designed to support it. 

Reproducible: Always

Steps to Reproduce:
1. Create table 'persons' with two columns: name TEXT, surname TEXT
2. Add some records to persons
3. In SQL view Create query with this text: SELECT name || ' ' || surname AS expr1 FROM persons
4. Execute this query 
Actual Results:  
'Invalid query' error is displayed, as if || operator was not supported.

Expected Results:  
All records should be output, separated by one space.
Comment 1 Jarosław Staniek 2012-08-30 23:11:09 UTC
Git commit ae4d5c60499340876a62271fa8bed5c59580f2c9 by Jaroslaw Staniek.
Committed on 31/08/2012 at 00:54.
Pushed by staniek into branch 'master'.

Added support for string concatenation operator || to parser

M  +3    -0    CHANGELOG
M  +210  -197  Predicate/parser/SqlParser.cpp
M  +4    -0    Predicate/parser/SqlParser.y

http://commits.kde.org/predicate/ae4d5c60499340876a62271fa8bed5c59580f2c9
Comment 2 Jarosław Staniek 2012-09-01 09:15:54 UTC
Git commit 337f34de8c0ece562f4e4e677f65278fd6a491e6 by Jaroslaw Staniek.
Committed on 26/08/2012 at 01:21.
Pushed by staniek into branch 'calligra/2.5'.

Query Designer: Make string concatenation operator || work
FIXED-IN:2.5.2
REVIEW:106199

M  +2    -2    kexi/kexidb/parser/extract_tokens.sh
M  +2792 -2591 kexi/kexidb/parser/sqlparser.cpp
M  +400  -734  kexi/kexidb/parser/sqlparser.h
M  +4    -0    kexi/kexidb/parser/sqlparser.y
M  +1507 -1391 kexi/kexidb/parser/sqlscanner.cpp

http://commits.kde.org/calligra/337f34de8c0ece562f4e4e677f65278fd6a491e6
Comment 3 Jarosław Staniek 2012-09-01 09:18:16 UTC
Git commit 79f17fef295a58c1bc37ec7b166f10c99de81cf8 by Jaroslaw Staniek.
Committed on 26/08/2012 at 01:21.
Pushed by staniek into branch 'master'.

Query Designer: Make string concatenation operator || work
FIXED-IN:2.5.2
REVIEW:106199

M  +202  -193  libs/db/parser/sqlparser.cpp
M  +4    -0    libs/db/parser/sqlparser.y

http://commits.kde.org/calligra/79f17fef295a58c1bc37ec7b166f10c99de81cf8
Comment 4 Jarosław Staniek 2012-09-01 09:21:27 UTC
Git commit 6fe27c097b72637a71ae17be95f80e66fb029375 by Jaroslaw Staniek.
Committed on 26/08/2012 at 01:21.
Pushed by staniek into branch 'kexi-features-staniek'.

Query Designer: Make string concatenation operator || work
FIXED-IN:2.5.2
REVIEW:106199

M  +202  -193  libs/db/parser/sqlparser.cpp
M  +4    -0    libs/db/parser/sqlparser.y

http://commits.kde.org/calligra/6fe27c097b72637a71ae17be95f80e66fb029375